#ifndef NAME_DIALOG_H
#define NAME_DIALOG_H

#include <QDialog>
#include <QLabel>
#include <QVBoxLayout>
#include <QLineEdit>
#include <QPushButton>

#include <comdel/domain/instance.h>

namespace display {

    class NameDialog : public QDialog {

        QLineEdit *edit = nullptr;
        domain::ComponentInstance *componentInstance = nullptr;
        domain::BusInstance *busInstance = nullptr;

    public:

        NameDialog(domain::ComponentInstance *instance);

        NameDialog(domain::BusInstance *instance);

    public slots:

        void onNameChange();
    };

}


#endif //NAME_DIALOG_H
